<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

$textl .= ' | Изменение';
require_once('../incfiles/head.php');

if (!$post && !$topic){
  echo functions::display_error('Отсутствует идентификатор сообщения или темы!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

if (!$user_id  || $ban['1'] || $ban['11']){
  echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="index.php?topic='.$topic.'">Назад</a>');
  require_once('../incfiles/end.php');
  exit;
}

$check = '';
$text = $_POST['text'] ? trim($_POST['text']) : $postRes['text'];
$reason = $_POST['reason'] ? trim($_POST['reason']) : '';

if ($rights != 3 && $rights < 6){
  if ($postRes['user_id'] != $user_id)
    $check = true;

  $firstPost = mysql_fetch_array(mysql_query("SELECT `post`, `user_id` FROM `forum_posts` WHERE `topic` = '".$postRes['topic']."' ORDER BY `time` ASC LIMIT 1 "));
  if ($firstPost['post'] != $post && $postRes['time'] < time() - 300)
    $check = true;

  if ($topicRes['close'])
    $check = true;

  if ($check){
    echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="index.php?topic='.$topic.'&amp;page='.$page.'#p'.$post.'">Назад</a>');
    require_once('../incfiles/end.php');
    exit;
  }
}

$tree = array('<a href="index.php">Форум</a>', '<a href="index.php?topic='.$topic.'&amp;page='.$page.'#p'.$post.'">'.functions::checkout($topicRes['topicname']).'</a>', 'Изменение сообщения');
echo '<div class="phdr">'.functions::display_menu($tree).'</div>';

if (isset($_POST['addfile']) && $_FILES['file']['name']){
  $postId = $post;
  $topicId = $topicRes['topic'];
  $user_id = $postRes['user_id'];
  $tempId = '';
  require_once ('includes/fileupload.php');

  mysql_query("UPDATE `forum_posts` SET
  `edit` = '".$login.':|:'.time()."',
  `files`= files + 1
  WHERE `post` = '$post'
  ");

}

if (isset($_POST['delfile'])){
  $array = $_POST['delfile'];
  if (is_array($array)){
    foreach ($array as $file => $val){
      require_once ('includes/delfile.php');
    }
  
    if (!$error)
      mysql_query("UPDATE `forum_posts` SET `files` = files - 1 WHERE `post` = '$post' LIMIT 1 ");
  }else{
    $error = 'Возникла ошибка при удалении файла!';
  }
}

$fileReq = mysql_query("SELECT * FROM `forum_files` WHERE `post` = '".$postRes['post']."' LIMIT 11 ");
$total = mysql_num_rows($fileReq);

if (isset($_POST['send'])){
  if (empty($text))
    $error .= 'Не введен текст сообщения!<br />';

  if (!$error){
    $reason = strlen($reason) > 100 ? mb_substr($reason, 0, 100) : $reason;
    mysql_query("UPDATE `forum_posts` SET
    `text` = '".mysql_real_escape_string($text)."',
    `edit` = '".$login.':|:'.time().":|:".mysql_real_escape_string($reason)."'
    WHERE `post` = '$post'
    ");

    header ('Refresh:1; URL=index.php?topic='.$topic.'&page='.$page.'#p'.$post);
    echo '<div class="gmenu">Сообщение изменено<br /><a href="index.php?topic='.$topic.'&amp;page='.$page.'#p'.$post.'">Далее</a></div>';
    require_once('../incfiles/end.php');
    unset ($_SESSION['filename']);
    exit;
  }
}

if ($error)
  echo functions::display_error($error);

if ($text && isset($_POST['preview'])){
  $textPreview = quote(functions::checkout($text, 1, 1));
  if ($set_user['smileys'])
    $textPreview = functions::smileys($textPreview, $rights >= 1 ? 1 : 0);
  echo '<div class="list1"><strong>Предпросмотр:</strong><br />'.$textPreview.'</div>';
}

echo '<form id="form" name="form" action="index.php?act=editpost&amp;topic='.$topic.'&amp;post='.$post.'&amp;page='.$page.'" method="post" enctype="multipart/form-data">'.
'<div class="rmenu">Текст:<br />'.bbcode::auto_bb('form', 'text').'<textarea name="text" cols="30" rows="'.$set_user['field_h'].'">'.text($text).'</textarea><br />'.
'Причина изменений <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Максимально 100 символов" />:<br /><input type="text" name="reason" value="'.$reason.'" /><br />'.
'<input type="submit" name="send" value="Сохранить" /> <input type="submit" name="preview" value="Предпросм." /> <a href="../pages/faq.php?act=smileys">Смайлы</a></div>'.
'<div class="phdr">Файлы: '.$total.' из 10</div>';
if ($total){
  while ($fileRes = mysql_fetch_array($fileReq)){
    echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
    echo show_file($fileRes).' <input type="submit" name="delfile['.$fileRes['file'].']" onclick="return confirm(\'Вы действительно хотите удалить файл?\');" value="Удалить" /></div>';
    ++$i;
  }
}
if ($total < 10){
  echo '<div class="gmenu">Файл <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Максимально '.$set['flsz'].' Кб." />:<br /><input type="file" name="file" /><br /><input type="submit" name="addfile" value="Прикрепить" /></div>';
}
echo '</form>';